Commit 4ef5c916 authored by Xavier Claessens's avatar Xavier Claessens Committed by GStreamer Marge Bot
Browse files

gstgl: Fix build when Meson >= 0.58.0rc1

"implicit_include_directories: false" now also means that current build
directory is not added to include paths by default any more. We have to
add it manually because we have some custom_target() that generate
headers in current build directory.

See https://github.com/mesonbuild/meson/issues/8700.

Part-of: <gstreamer/gst-plugins-base!1125>
parent b14c2e6f
Pipeline #309065 passed with stages
in 26 minutes and 17 seconds
...@@ -1004,11 +1004,20 @@ if build_gstgl ...@@ -1004,11 +1004,20 @@ if build_gstgl
command : [mkenums, glib_mkenums, '@OUTPUT@', '@INPUT@']) command : [mkenums, glib_mkenums, '@OUTPUT@', '@INPUT@'])
gen_sources = [gl_enumtypes_h] gen_sources = [gl_enumtypes_h]
common_args = gst_plugins_base_args + gl_cpp_args + ['-DBUILDING_GST_GL']
# We have custom_target() that generate headers in the current build dir,
# but with implicit_include_directories: false, meson >= 0.58.0 won't include
# it by default. We cannot use include_directories('.') here because it would
# also include current source dir which is what we want to avoid because
# case-insensitive FS would include gst-libs/gl/egl/egl.h as EGL/egl.h.
common_args += '-I@0@'.format(meson.current_build_dir())
gstgl = library('gstgl-' + api_version, gstgl = library('gstgl-' + api_version,
gl_sources, gl_egl_sources, gl_x11_sources, gl_wayland_sources, gl_priv_sources, gl_enumtypes_c, gl_enumtypes_h, gl_sources, gl_egl_sources, gl_x11_sources, gl_wayland_sources, gl_priv_sources, gl_enumtypes_c, gl_enumtypes_h,
c_args : gst_plugins_base_args + gl_cpp_args + ['-DBUILDING_GST_GL'], c_args : common_args,
cpp_args : gst_plugins_base_args + gl_cpp_args + ['-DBUILDING_GST_GL'], cpp_args : common_args,
objc_args : gst_plugins_base_args + gl_cpp_args + gl_objc_args + ['-DBUILDING_GST_GL'], objc_args : common_args + gl_objc_args,
include_directories : [configinc, libsinc, gl_includes], include_directories : [configinc, libsinc, gl_includes],
version : libversion, version : libversion,
soversion : soversion, soversion : soversion,
......
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment